<style *ngIf='!identity'>
  .login-page{
  }
</style>

<div [ngClass]="identity ? '': 'login-page'" class="page-wrapper with-navbar with-sidebar with-navbar-fixed-bottom" data-sidebar-type="overlayed-all">
    <!-- Sidebar overlay -->
    <div *ngIf='identity' class="sidebar-overlay" onclick="halfmoon.toggleSidebar()"></div>
    <!-- Navbar -->
    <app-header *ngIf='identity'></app-header>
    <div class="sticky-alerts"></div>
    <!-- Overlayed sidebar -->
    <div class="sidebar" *ngIf='identity'>
        <div class="sidebar-menu">
          <h5 class="sidebar-title">General</h5>
          <div class="sidebar-divider"></div>
          <a routerLink="dashboard/profile" class="sidebar-link sidebar-link-with-icon">
            <span class="sidebar-icon bg-transparent justify-content-start mr-0"> <!-- bg-transparent = background-color: transparent, justify-content-start = justify-content: flex-start, mr-0 = margin-right: 0 -->
              <i class="fa fa-tachometer-alt" aria-hidden="true"></i>
            </span>
            Dashboard
          </a>
          <br />
          <h5 class="sidebar-title">Módulos</h5>
          <div class="sidebar-divider"></div>
          <a routerLink="dashboard/users" class="sidebar-link sidebar-link-with-icon">
            <span class="sidebar-icon bg-primary text-white rounded-circle"> <!-- bg-primary = background-color: var(--primary-color), text-white = color: white, rounded-circle = border-radius: 50% --> 
              <i class="fa fa-user-alt" aria-hidden="true"></i>
            </span>
            Usuarios & Roles
          </a>
          <a routerLink="dashboard/products" class="sidebar-link sidebar-link-with-icon">
            <span class="sidebar-icon bg-primary text-white rounded-circle"> <!-- bg-primary = background-color: var(--primary-color), text-white = color: white, rounded-circle = border-radius: 50% --> 
              <i class="fab fa-product-hunt" aria-hidden="true"></i>
            </span>
            Productos
          </a>
         <!--
          <a class="sidebar-link sidebar-link-with-icon" disabled="disabled">
            <span class="sidebar-icon bg-success text-dark rounded-circle">
              <i class="fa fa-brain" aria-hidden="true"></i>
            </span>
            Analisis de Comportamiento
          </a>
           <a routerLink="dashboard/messages" class="sidebar-link sidebar-link-with-icon">
            <span class="sidebar-icon bg-secondary text-dark rounded-circle">
              <i class="fa fa-comments" aria-hidden="true"></i>
            </span>
            Lista de Productos
          </a>
       
         -->
         
          <div class="sidebar-divider"></div>
          <a (click)="authService.logout()" class="sidebar-link sidebar-link-with-icon">
            <span class="sidebar-icon bg-transparent justify-content-start mr-0"> <!-- bg-transparent = background-color: transparent, justify-content-start = justify-content: flex-start, mr-0 = margin-right: 0 -->
              <i class="fa fa-power-off" aria-hidden="true"></i>
            </span>
            Cerrar Sesión
          </a>
        </div>
    </div>
    <!-- Content wrapper -->
    <div class="content-wrapper">
        <router-outlet></router-outlet>
    </div>
    <!-- Navbar fixed bottom -->
    <nav class="navbar navbar-fixed-bottom">
    </nav>
</div>









